Deployments.ai Docs
Brains

Ask a cited question across authorized Brains

POST /v1/brains/ask · SDK askBrains · CLI deployments brain ask

POST
/v1/brains/ask

Requires brains:read.

Authorization

tenantJwt
headerAuthorizationBearer <token>

Tenant JWT carrying organization, project, and environment claims.

Header Parameters

x-deployments-organization*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
x-deployments-project*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
x-deployments-environment*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
idempotency-key*string

Limited to 500 UTF-8 bytes.

Length1 <= length <= 500

Request Body

application/json
  1. body
brainIds*array<>
evidenceLimit?integer
Range1 <= value <= 50
question*string
Lengthlength <= 8000

Response Body

BrainAskResponse

application/json
  1. response
claims*array<>
gaps*array<string>
queryAttemptId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
usedCitations*array<>
curl -X POST "https://example.com/v1/brains/ask" \  -H "x-deployments-organization: string" \  -H "x-deployments-project: string" \  -H "x-deployments-environment: string" \  -H "idempotency-key: string" \  -H "Content-Type: application/json" \  -d '{    "brainIds": [      "string"    ],    "question": "string"  }'
{  "claims": [    {      "citationIds": [        "string"      ],      "text": "string"    }  ],  "gaps": [    "string"  ],  "queryAttemptId": "string",  "usedCitations": [    {      "brainId": "string",      "chunkId": "string",      "coordinates": {        "end": 0,        "kind": "media-timestamp",        "start": 0      },      "documentId": "string",      "documentVersionId": "string",      "renditionId": "string",      "sourceId": "string"    }  ]}